Loading...
Searching...
No Matches
EST_TTI_Entry< CONTAINER > Struct Template Reference

`#include <include/EST_TTimeIndex.h>`

## Public Attributes

float | t
CONTAINER::Index | i

## Detailed Description

template<class CONTAINER>
struct EST_TTI_Entry< CONTAINER >

A time index for a container. The container defines how to get an object and so on, this lets you find a point in the container not far before the entry you want.

Author
  Richard Caley rjc@c.nosp@m.str..nosp@m.ed.ac.nosp@m..uk

Version

Id
  EST_TTimeIndex.h,v 1.3 2004/09/29 08:24:17 robert Exp

Definition at line 49 of file EST_TTimeIndex.h.

## Member Data Documentation

## t

template<class CONTAINER>

float EST_TTI_Entry< CONTAINER >::t

Definition at line 51 of file EST_TTimeIndex.h.

## i

template<class CONTAINER>

CONTAINER::Index EST_TTI_Entry< CONTAINER >::i

Definition at line 52 of file EST_TTimeIndex.h.

The documentation for this struct was generated from the following file:

- include/EST_TTimeIndex.h